<!DOCTYPE html>
<html>
<head>
	<title>Tugas Implementasi Interface</title>
</head>
<body>
	<form name="formTugas" action="#" onsubmit="return checkForm(this);" >
	<fieldset>
	<H1>Tugas Implementasi Interface</H1>
	<table>
	<tr>
	<td>username</td>
	<td><input type="text" name="username" id="username" placeholder="username" required></td>
	</tr>
	<tr>
	<td>Password </td>
	<td><input type="Password" id="Password" name="Password" required ></td>
	</tr>
	<tr>
	<td>Repeat </td>
	<td><input type="Password" name="repeat" id="repeat" placeholder="Ulangi Password" required ></td>
	</tr>
	<tr>
	<td>Email </td>
	<td><input type="text" name="email" id="email" placeholder="Email" required></td>
	</tr>
	<tr>
	<td>No Telepon </td>
	<td><input type="text" name="telepon" id="telepon" placeholder="No Telepon" required></td>
	</tr>
	<tr>
	<td>Alamat </td>
	<td><textarea id="alamat" style="width: 167px;" placeholder="alamat" required ></textarea><br></td>
	</tr>
	<tr>
	<td><input type="submit" value="Submit" onclick="validatePassword(document.formTugas.Password), validaterepeat(document.formTugas.repeat), validateemail(document.formTugas.email), validatealamat(document.formTugas.alamat)" /></td>

	</tr>
	</table>
	</fieldset>
</form>

	<script type="text/javascript">
		window.onload = function(){
			document.getElementById("username").onchange = validateuser;
			document.getElementById("Password").onchange = validatePassword;
			document.getElementById("repeat").onchange = validaterepeat;
			document.getElementById("email").onchange = validateemail;
			document.getElementById("telepon").onchange = validatetelepon;
			document.getElementById("alamat").onchange = validatealamat;
		}

		function validateuser(){
			var user = document.formTugas.username.value;
			if ((user.length < 3) || (sem > 15)) {
				alert("Username harus diisi dari 3-15 digit");
				return false;
			}
			return true;
		}
		function validatePassword(inputText){
			var passformat = /^(?=.*[a-z])(?=.*[A-Z])(?=.*[0-9])(?=.*[!@#$%^&*_=+-]).{4,}$/;
			if(inputText.value.match(passformat)){
				document.formTugas.Password.focus();
				return true;
			}else{
				alert("Password minimal 4 digit dan terdapat huruf kapital, symbol dan angka!");
				document.formTugas.Password.focus();
				return false;
			}
		}
		
		function validaterepeat(inputText){
			var repeatformat = /(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{4,}/;
			if(inputText.value.match(repeatformat)){
				document.formTugas.repeat.focus();
				return true;
			}else{
				alert("Ulangi Password harus sama dengan Password");
				document.formTugas.repeat.focus();
				return false;
			}
		}
		function validateemail(inputText){
			var mailformat = /^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/;
			if(inputText.value.match(mailformat)){
				document.formTugas.email.focus();
				return true;
			}else{
				alert("Alamat email tidak valid!");
				document.formTugas.email.focus();
				return false;
			}
		}

		function validatetelepon(){
			var telp = document.formTugas.telepon.value;
			if ((telp.length < 10) || (telp > 12)) {
				alert("No Telepon Berisi angka dan berjumlah 10 - 12 digit!");
				return false;
			}
			return true;
		}

			function validatealamat(){
			var almt = document.formTugas.alamat.value;
			if(almt == ""){
				alert("Alamat tidak boleh kosong");
				return false;
			} else{
				return true;
			}
		}
	</script>
</body>
</html>
